# Class BrowserComponent.JSRef

java.lang.Object
com.codename1.ui.BrowserComponent.JSRef

Enclosing class:
  `BrowserComponent`

public static class BrowserComponent.JSRef extends java.lang.Object
A wrapper class for a Javascript value that is returned via the `com.codename1.util.Callback)` method. This supports all Javascript primitive types. See `JSType` for a list of the types.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JSRef(String value, String type)`
  Creates a new JSRef object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getBoolean()`
  Gets the value as a boolean.
  `double`
  `getDouble()`
  Gets teh value as a double.
  `int`
  `getInt()`
  Gets the value as an integer.
  `BrowserComponent.JSType`
  `getJSType()`
  Returns the type of the value.
  `String`
  `getValue()`
  Gets the javascript value as a string.
  `boolean`
  `isNull()`
  Checks if the variable is null
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JSRef

    public JSRef(String value, String type)

    Creates a new JSRef object.

    ###### Parameters

    - `value`: The string value of the javascript variable.

    - `type`: The string type of the variable as returned by the typeof operator.

- ## Method Details

  - ### getValue

    public String getValue()

    Gets the javascript value as a string.

    ###### Returns

    The string value of the reference.

  - ### getJSType

    public BrowserComponent.JSType getJSType()
    Returns the type of the value.

  - ### getInt

    public int getInt()
    Gets the value as an integer.

  - ### getDouble

    public double getDouble()
    Gets teh value as a double.

  - ### getBoolean

    public boolean getBoolean()
    Gets the value as a boolean.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### isNull

    public boolean isNull()
    Checks if the variable is null